Package Details: ardour-git 6.3.r55.ga4b1277f85-1

Git Clone URL: https://aur.archlinux.org/ardour-git.git (read-only, click to copy)
Package Base: ardour-git
Description: A multichannel hard disk recorder and digital audio workstation (git version)
Upstream URL: https://ardour.org/
Keywords: dssi ladspa lv2 mastering midi pro-audio production recorder sequencer
Licenses: GPL2
Groups: pro-audio
Conflicts: ardour
Provides: ardour
Submitter: None
Maintainer: SpotlightKid (dvzrv)
Last Packager: SpotlightKid
Votes: 43
Popularity: 0.001643
First Submitted: 2013-03-14 23:12
Last Updated: 2020-09-19 16:32

Dependencies (94)

Required by (1)

Sources (2)

Pinned Comments

Gimmeapill commented on 2017-08-18 10:40

This package will automatically retrieve and build the latest development snapshot of Ardour from git.

It does not need to be updated on every release, so please do not flag out of date unless the build breaks.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 ... Next › Last »

SpotlightKid commented on 2020-04-22 16:25

@Gimmeapill: Here's the diff for an updated PKGBUILD. If you add me as a co-maintainer I'll push it.

  • Run waf with Python 3 and drop 'python2' from makedepends
  • Add 'libwebsockets' and 'cwiid' to makedepends and optdepends
diff --git a/PKGBUILD b/PKGBUILD
index d09de1e..18d527a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,15 +6,19 @@
 # Contributor: Christopher Arndt <chris at chrisarndt.de>

 pkgname=ardour-git
-pkgver=6.0.pre0.r3201.gc87bec07cd
+pkgver=6.0.rc1.r45.gfcfaa0ac49
 pkgrel=1
 pkgdesc="A multichannel hard disk recorder and digital audio workstation"
 arch=('i686' 'x86_64')
 url="http://ardour.org/"
 license=('GPL')
 groups=('pro-audio')
-depends=('alsa-lib' 'aubio' 'gtkmm' 'liblo' 'liblrdf' 'lilv' 'suil' 'rubberband' 'taglib' 'libarchive' 'python')
-makedepends=('git' 'python2' 'boost' 'cppunit' 'doxygen' 'graphviz' 'itstool' 'lv2')
+depends=('alsa-lib' 'aubio' 'gtkmm' 'libarchive' 'liblo' 'liblrdf' 'lilv'
+         'python' 'rubberband' 'suil' 'taglib')
+makedepends=('boost' 'cppunit' 'cwiid' 'doxygen' 'git' 'graphviz' 'itstool'
+             'lv2' 'libwebsockets')
+optdepends=('cwiid: Wiimote control support'
+            'libwebsockets: WebSockets control support')
 provides=('ardour')
 conflicts=('ardour')
 source=("${pkgname%-*}::git://github.com/Ardour/ardour.git"
@@ -30,7 +34,7 @@ pkgver() {
 build() {
   cd "${srcdir}/${pkgname%-*}"

-  python2 waf configure --prefix=/usr \
+  python waf configure --prefix=/usr \
                         --configdir=/etc \
                         --with-backends=jack,alsa,dummy \
                         --libjack=weak \
@@ -40,13 +44,13 @@ build() {
                         --ptformat \
                         --no-phone-home

-  python2 waf build $MAKEFLAGS
+  python waf build $MAKEFLAGS
 }

 package() {
   cd "${srcdir}/${pkgname%-*}"

-  python2 waf --destdir="${pkgdir}" install
+  python waf --destdir="${pkgdir}" install

   # Install freedesktop.org compatible application starter desktop file
   install -Dm644 "${srcdir}/ardour.desktop" \

Gimmeapill commented on 2020-04-22 10:52

@mattpepin: Thanks for the heads up, however I can still not update as I have no access to my dev box. As mentioned previously, if anyone has an updated pkgbuild and want to step in, please send it and I'll add you as co-maintainer, that will be the fastest.

mattpepin commented on 2020-04-19 19:12

Ardour 6 RC1 adds a websocket control surface that depends on libwebsockets:

https://discourse.ardour.org/t/development-update-6-0-rc1-tagged/103393/8

Gimmeapill commented on 2020-03-30 07:16

@FlyingWombat: Thanks for the heads up but I can't update right away as I don't have my arch box around (for who knows how long...). In you have an updated pkgbuild and want to step in, please send it and I'll add you as co-maintainer, that will be the fastest.

FlyingWombat commented on 2020-03-28 21:04

Waf has been updated; it runs on python3.

Gimmeapill commented on 2017-12-21 21:58

@thetotalchaos: not 100% sure but this might work if you install locally, so change the following lines:

...

conflicts=()

...

python2 waf configure --prefix=/usr/local \

--configdir=/etc/local \

...

"${pkgdir}/usr/local/share/applications/ardour.desktop"

thetotalchaos commented on 2017-12-21 14:16

Gimmeapill Can you hint me, how to change the pkgbuild, so that i can use this alongside the official version? ThaNKS

Gimmeapill commented on 2017-09-20 19:27

@speak: fixed, thanks for the heads up!

speak commented on 2017-09-20 10:42

Hi! I noticed a problem with how this package is built: The line:
--with-backends="jack,alsa,dummy " \

Should be:
--with-backends=jack,alsa,dummy \

Currently the session tools don't get built properly, because the "dummy" backend isn't properly detected by the build scripts, because of the extra space inside the quotes.

Gimmeapill commented on 2017-08-18 10:40

This package will automatically retrieve and build the latest development snapshot of Ardour from git.

It does not need to be updated on every release, so please do not flag out of date unless the build breaks.